Gecode::IntVarValues Class Reference
Functionality by programming task » Programming models » Using integer variables and constraints » Integer variables

Value iterator for integer variables. More...

`#include <int.hh>`

## Constructors and initialization

| IntVarValues (void)
| Default constructor.
| IntVarValues (const IntVar &x)
| Initialize with values for x.
void | init (const IntVar &x)
| Initialize with values x.

## Additional Inherited Members

| ToValues (void)
| Default constructor.
void | init (IntVarRanges &i)
| Initialize with values from range iterator i.
bool | operator() (void) const
| Test whether iterator is still at a value or done.
void | operator++ (void)
| Move iterator to next value (if possible).
int | val (void) const
| Return current value.
Protected Member Functions inherited from Gecode::Iter::Ranges::ToValues< IntVarRanges >
void | start (void)
| Initialize iterator.
Protected Attributes inherited from Gecode::Iter::Ranges::ToValues< IntVarRanges >
IntVarRanges | i
| Range iterator used.
int | cur
| Current value.
int | max
| End of current range.

## Detailed Description

Value iterator for integer variables.

Definition at line 490 of file int.hh.

## Constructor & Destructor Documentation

## IntVarValues() [1/2]

Gecode::IntVarValues::IntVarValues | ( | void |  | ) |

inline

Default constructor.

Definition at line 124 of file int.hpp.

## IntVarValues() [2/2]

Gecode::IntVarValues::IntVarValues | ( | const IntVar & | x | ) |

inline

Initialize with values for x.

Definition at line 127 of file int.hpp.

## Member Function Documentation

## init()

void Gecode::IntVarValues::init | ( | const IntVar & | x | ) |

inline

Initialize with values x.

Definition at line 133 of file int.hpp.

The documentation for this class was generated from the following files:

- gecode/int.hh
- gecode/int/var/int.hpp